# Ogre::Rectangle Struct Reference

`#include <OgreRectangle.h>`

List of all members.

## Public Member Functions

bool | inside (Real x, Real y) const

## Public Attributes

Real | left
Real | top
Real | right
Real | bottom

## Detailed Description

Definition at line 36 of file OgreRectangle.h.

## Member Function Documentation

bool Ogre::Rectangle::inside | ( | Real | x,
|  | Real | y |
| ) |  |  | const

Definition at line 43 of file OgreRectangle.h.

## Member Data Documentation

Real Ogre::Rectangle::left

Definition at line 38 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::top

Definition at line 39 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::right

Definition at line 40 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::bottom

Definition at line 41 of file OgreRectangle.h.

Referenced by Ogre::intersect().

The documentation for this struct was generated from the following file:

- OgreRectangle.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 27 22:05:19 2009